List an offer's agreements
The publications promoting this offer. Tracking links and accepted terms are not included in this list.
bearerAuth Create a key in Letterby under Settings, Integrations,
Create key. Send it as Authorization: Bearer lb_....
A key is either Read only (every GET) or Full access.
In: header
The id of one of your publications.
uuidThe offer id.
uuidItems per page.
1 <= value <= 10020The next_cursor from the previous page.
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/publications/497f6eca-6276-4993-bfeb-53cbbbba6f08/offers/497f6eca-6276-4993-bfeb-53cbbbba6f08/agreements"{ "has_more": true, "next_cursor": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "offerId": "42da58f8-9040-4cf5-98ce-bce9965cca0d", "recommenderPublicationId": "e7c6d5f5-c2bf-47d1-83ba-78b0bf8c5fd4", "status": "active", "acceptedPayoutCents": 0, "creatorPayoutCents": 0, "acceptedCurrency": "string", "acceptedTerms": { "name": "string", "description": "string", "landingUrl": "http://example.com", "payoutCents": 0, "currency": "string" }, "tracking_slug": "string", "tracking_url": "http://example.com", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "endedAt": "2019-08-24T14:15:22Z" } ]}